This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 742657 - nouveau deadlock
nouveau deadlock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 20:01 EDT by Chad Feller
Modified: 2012-08-07 13:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg (5 Oct 2011) (98.50 KB, text/plain)
2011-10-05 17:06 EDT, Chad Feller
no flags Details
Xorg.0.log (5 Oct 2011) (55.51 KB, text/plain)
2011-10-05 17:07 EDT, Chad Feller
no flags Details
dmesg (5 Oct 2011) #2 (93.22 KB, text/plain)
2011-10-05 20:12 EDT, Chad Feller
no flags Details
Xorg.0.log (5 Oct 2011) #2 (50.57 KB, text/plain)
2011-10-05 20:13 EDT, Chad Feller
no flags Details
/var/log/messages (76.57 KB, application/octet-stream)
2011-12-31 04:31 EST, Andrew Travneff
no flags Details
dmesg output (124.88 KB, application/octet-stream)
2011-12-31 04:31 EST, Andrew Travneff
no flags Details
xorg log (40.33 KB, application/octet-stream)
2011-12-31 04:32 EST, Andrew Travneff
no flags Details
Xorg.0.log from nouveau crash (40.73 KB, application/octet-stream)
2012-02-17 22:09 EST, Noel Duffy
no flags Details
X server log (43.98 KB, text/plain)
2012-03-01 15:33 EST, Jaroslav Franek
no flags Details
/var/log/messages (137.05 KB, text/plain)
2012-03-01 15:41 EST, Jaroslav Franek
no flags Details

  None (edit)
Description Chad Feller 2011-09-30 20:01:37 EDT
Description of problem:
Upon composing an email in Fedora, typing got slower and slower (meaning what I was typing in was lagging in showing up on the screen), until the entire screen finally froze.  After waiting for a minute, the screen didn't unfreeze.  I SSH'd into the workstation from another machine and saw this in 

dmesg:

[23912.004365] [drm] nouveau 0000:07:00.0: fail post-validate sync
[23912.004377] [drm] nouveau 0000:07:00.0: validate vram_list
[23912.004405] [drm] nouveau 0000:07:00.0: validate: -16

and this in my Xorg.0.log:

[ 23926.661] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 23926.666] 
Backtrace:
[ 23926.672] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x45e84f]
[ 23926.672] 1: /usr/bin/X (mieqEnqueue+0x1e9) [0x458dc9]
[ 23926.672] 2: /usr/bin/X (xf86PostMotionEventM+0xa3) [0x47e763]
[ 23926.672] 3: /usr/bin/X (xf86PostMotionEventP+0x52) [0x47e882]
[ 23926.672] 4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fd4af27e000+0x4b1b) [0x7fd4af282b1b]
[ 23926.672] 5: /usr/bin/X (0x400000+0x6c148) [0x46c148]
[ 23926.672] 6: /usr/bin/X (0x400000+0x11a130) [0x51a130]
[ 23926.672] 7: /lib64/libpthread.so.0 (0x395b400000+0xeef0) [0x395b40eef0]
[ 23926.672] 8: /lib64/libc.so.6 (ioctl+0x7) [0x395acd8af7]
[ 23926.672] 9: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x396d803358]
[ 23926.672] 10: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x396d80547b]
[ 23926.672] 11: /usr/lib64/libdrm_nouveau.so.1 (0x7fd4b2e79000+0x2ed7) [0x7fd4b2e7bed7]
[ 23926.672] 12: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7fd4b2e7c4f9]
[ 23926.673] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7fd4b309d000+0x5dde) [0x7fd4b30a2dde]
[ 23926.673] 14: /usr/lib64/xorg/modules/libexa.so (0x7fd4b2430000+0x616e) [0x7fd4b243616e]
[ 23926.673] 15: /usr/lib64/xorg/modules/libexa.so (0x7fd4b2430000+0x887b) [0x7fd4b243887b]
[ 23926.673] 16: /usr/lib64/xorg/modules/libexa.so (0x7fd4b2430000+0xf6c2) [0x7fd4b243f6c2]
[ 23926.673] 17: /usr/lib64/xorg/modules/libexa.so (0x7fd4b2430000+0x102bd) [0x7fd4b24402bd]
[ 23926.673] 18: /usr/bin/X (0x400000+0xd9d2d) [0x4d9d2d]
[ 23926.673] 19: /usr/lib64/xorg/modules/libexa.so (0x7fd4b2430000+0x111cb) [0x7fd4b24411cb]
[ 23926.673] 20: /usr/bin/X (0x400000+0xd4ebb) [0x4d4ebb]
[ 23926.673] 21: /usr/bin/X (0x400000+0x2edb1) [0x42edb1]
[ 23926.673] 22: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[ 23926.673] 23: /lib64/libc.so.6 (__libc_start_main+0xed) [0x395ac2139d]
[ 23926.673] 24: /usr/bin/X (0x400000+0x23101) [0x423101]


Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64

How reproducible:
Only happened once so far, but this is a relatively fresh less than 48 hours Fedora 15 installation.
Scratch the above, it just happened a second time w/in an hour.

Additional info:
http://www.smolts.org/client/show/pub_ac024788-afeb-4f79-a725-af7c62515f78

It just happened again while typing in this bug - thankfully Firefox saves form data.  =)
Comment 1 Chad Feller 2011-09-30 20:06:14 EDT
Here is the info from the second crash (I SSH'd in from another machine while the screen was locked up):

dmesg:

[ 3360.585640] [drm] nouveau 0000:07:00.0: fail post-validate sync
[ 3360.585655] [drm] nouveau 0000:07:00.0: validate vram_list
[ 3360.585713] [drm] nouveau 0000:07:00.0: validate: -16
[ 3360.600684] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600704] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.600715] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600731] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0300 data 0x00000627
[ 3360.600742] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600757] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0304 data 0x00000627
[ 3360.600768] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600782] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0308 data 0x001e001b
[ 3360.600793] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600807] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.600838] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600853] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.600864] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600878] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0300 data 0x00a80004
[ 3360.600889] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600903] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0304 data 0x00a80004
[ 3360.600915] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600930] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0308 data 0x00b303c8
[ 3360.600941] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.600955] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.693248] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.693270] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.693281] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.693295] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0300 data 0x000005a7
[ 3360.693307] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.693319] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0304 data 0x000005a7
[ 3360.693330] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.693343] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0308 data 0x001e009b
[ 3360.693353] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.693366] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.695757] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.695771] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3360.695781] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.695794] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0300 data 0x000d0001
[ 3360.695805] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.695818] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0304 data 0x006104fd
[ 3360.695829] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.695841] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x0308 data 0x02b2000e
[ 3360.695852] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3360.695865] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 5 class 0x0039 mthd 0x02fc data 0x00000003
[ 3593.904764] [drm] nouveau 0000:07:00.0: fail pre-validate sync
[ 3593.904775] [drm] nouveau 0000:07:00.0: validate vram_list
[ 3593.904794] [drm] nouveau 0000:07:00.0: validate: -16
[ 3593.921788] nouveau_ratelimit: 53 callbacks suppressed
[ 3593.921797] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921815] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x02fc data 0x00000003
[ 3593.921858] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921873] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x02fc data 0x00000003
[ 3593.921884] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921898] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0300 data 0x00000627
[ 3593.921909] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921923] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0304 data 0x00000627
[ 3593.921935] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921949] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0308 data 0x001e001b
[ 3593.921960] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3593.921974] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x02fc data 0x00000003
[ 3594.007282] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3594.007304] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x02fc data 0x00000003
[ 3594.007317] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3594.007332] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0300 data 0x009a041a
[ 3594.007345] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3594.007359] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0304 data 0x009a041a
[ 3594.007373] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3594.007387] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x0308 data 0x00190064
[ 3594.007398] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
[ 3594.007412] [drm] nouveau 0000:07:00.0: PGRAPH - ch 1 (0x000ed000) subc 4 class 0x0039 mthd 0x02fc data 0x00000003
[ 3702.922701] [drm] nouveau 0000:07:00.0: cal_space: -16
[ 4458.252970] [drm] nouveau 0000:07:00.0: fail pre-validate sync
[ 4458.252982] [drm] nouveau 0000:07:00.0: validate vram_list
[ 4458.253047] [drm] nouveau 0000:07:00.0: validate: -16


Xorg.0.log:

[  4461.576] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[  4461.581] 
Backtrace:
[  4461.589] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x45e84f]
[  4461.589] 1: /usr/bin/X (mieqEnqueue+0x1e9) [0x458dc9]
[  4461.589] 2: /usr/bin/X (xf86PostMotionEventM+0xa3) [0x47e763]
[  4461.590] 3: /usr/bin/X (xf86PostMotionEventP+0x52) [0x47e882]
[  4461.590] 4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f2e4f381000+0x4b1b) [0x7f2e4f385b1b]
[  4461.590] 5: /usr/bin/X (0x400000+0x6c148) [0x46c148]
[  4461.590] 6: /usr/bin/X (0x400000+0x11a130) [0x51a130]
[  4461.590] 7: /lib64/libpthread.so.0 (0x395b400000+0xeef0) [0x395b40eef0]
[  4461.590] 8: /lib64/libc.so.6 (ioctl+0x7) [0x395acd8af7]
[  4461.590] 9: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x396d803358]
[  4461.590] 10: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x396d80547b]
[  4461.590] 11: /usr/lib64/libdrm_nouveau.so.1 (0x7f2e52f7c000+0x2ed7) [0x7f2e52f7eed7]
[  4461.590] 12: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f2e52f7f4f9]
[  4461.590] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f2e531a0000+0x7413) [0x7f2e531a7413]
[  4461.590] 14: /usr/lib64/xorg/modules/libexa.so (0x7f2e52533000+0x4e18) [0x7f2e52537e18]
[  4461.590] 15: /usr/lib64/xorg/modules/libexa.so (0x7f2e52533000+0x8ab1) [0x7f2e5253bab1]
[  4461.591] 16: /usr/lib64/xorg/modules/libexa.so (0x7f2e52533000+0x13d20) [0x7f2e52546d20]
[  4461.591] 17: /usr/lib64/xorg/modules/libexa.so (0x7f2e52533000+0xffdf) [0x7f2e52542fdf]
[  4461.591] 18: /usr/bin/X (0x400000+0xd9d2d) [0x4d9d2d]
[  4461.591] 19: /usr/lib64/xorg/modules/libexa.so (0x7f2e52533000+0x111cb) [0x7f2e525441cb]
[  4461.591] 20: /usr/bin/X (0x400000+0xd4ebb) [0x4d4ebb]
[  4461.591] 21: /usr/bin/X (0x400000+0x2edb1) [0x42edb1]
[  4461.591] 22: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[  4461.591] 23: /lib64/libc.so.6 (__libc_start_main+0xed) [0x395ac2139d]
[  4461.591] 24: /usr/bin/X (0x400000+0x23101) [0x423101]
Comment 2 Chad Feller 2011-09-30 20:11:24 EDT
Also, it should be noted that the lockup is so bad, that I can't just kill the X server, but I actually have to reboot.

Apologies if the output above is a little long, perhaps I should have created an attachment.  (I had increased the size of the text input box, so it didn't seem as long to me as the lines weren't wrapping.)
Comment 3 Michael Belanger 2011-10-03 17:38:45 EDT
[ 1294.095480] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 1294.095487] [drm] nouveau 0000:07:00.0: validate vram_list
[ 1294.095507] [drm] nouveau 0000:07:00.0: validate: -12
[ 1294.096157] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT
[ 1294.096170] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1294.096178] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT
[ 1294.096186] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0304 data 0x004c0001
[ 1294.096197] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1294.096206] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x00010690
[ 1294.096214] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1294.096223] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1294.096231] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1294.096240] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0304 data 0x00710001
[ 1294.096248] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1294.096257] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x00010690
[ 1486.586620] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1486.586634] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1486.586644] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1486.586653] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x01f30290
[ 1486.958553] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1486.958564] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1486.958574] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1486.958582] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x01f302a2
[ 1487.025640] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.025653] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1487.025664] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.025673] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x01f302b4
[ 1487.304526] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.304539] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1487.304549] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.304558] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x01f302ea
[ 1487.447857] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.447870] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 1487.447880] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 1487.447889] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x01f302fc
[ 2066.363868] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.363880] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2066.363892] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.363901] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x031c0510
[ 2066.549959] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.549971] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2066.549980] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.549988] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x03a50510
[ 2066.857116] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.857131] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2066.857141] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2066.857150] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x03ce0510
[ 2067.032657] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.032681] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2067.032690] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.032698] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x03d20510
[ 2067.229045] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.229058] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2067.229068] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.229077] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x03d10510
[ 2067.280590] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.280601] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0300 data 0x00000000
[ 2067.280611] [drm] nouveau 0000:07:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PROTECTION_FAULT
[ 2067.280619] [drm] nouveau 0000:07:00.0: PGRAPH - ch 3 (0x000f6000) subc 2 class 0x309e mthd 0x0308 data 0x03d10510
[ 5493.121471] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.121477] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.121499] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.166411] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.166416] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.166426] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.219202] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.219206] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.219219] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.299000] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.299017] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.299087] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.340023] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.340029] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.340136] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.380276] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.380281] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.380303] [drm] nouveau 0000:07:00.0: validate: -12
[ 5493.437632] [drm] nouveau 0000:07:00.0: fail ttm_validate
[ 5493.437638] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5493.437657] [drm] nouveau 0000:07:00.0: validate: -12
[ 5530.288358] [drm] nouveau 0000:07:00.0: fail pre-validate sync
[ 5530.288364] [drm] nouveau 0000:07:00.0: validate vram_list
[ 5530.289031] [drm] nouveau 0000:07:00.0: validate: -16
Comment 4 Michael Belanger 2011-10-03 17:40:45 EDT
My errors occur on 
Fedora release 15 (Lovelock)
2.6.40.4-5.fc15.x86_64 #1 SMP 
xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
Comment 5 Michael Belanger 2011-10-03 17:43:41 EDT
From Xorg.0.log

688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[    21.937] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[    22.379] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[    22.379] (II) NOUVEAU(0): Using hsync ranges from config file
[    22.379] (II) NOUVEAU(0): Using vrefresh ranges from config file
[    22.379] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    22.379] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[    22.379] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[    22.819] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[    22.819] (II) NOUVEAU(0): Using hsync ranges from config file
[    22.819] (II) NOUVEAU(0): Using vrefresh ranges from config file
[    22.819] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    22.819] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[    22.819] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[    22.820] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[   179.310] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[   179.311] (II) NOUVEAU(0): Using hsync ranges from config file
[   179.311] (II) NOUVEAU(0): Using vrefresh ranges from config file
[   179.311] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   179.311] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[   179.311] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[   179.743] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[   179.743] (II) NOUVEAU(0): Using hsync ranges from config file
[   179.743] (II) NOUVEAU(0): Using vrefresh ranges from config file
[   179.743] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   179.743] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[   179.743] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[   180.177] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[   180.177] (II) NOUVEAU(0): Using hsync ranges from config file
[   180.177] (II) NOUVEAU(0): Using vrefresh ranges from config file
[   180.177] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   180.177] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[   180.177] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[   180.609] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[   180.609] (II) NOUVEAU(0): Using hsync ranges from config file
[   180.609] (II) NOUVEAU(0): Using vrefresh ranges from config file
[   180.609] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   180.609] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[   180.609] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[   182.622] (II) NOUVEAU(0): EDID vendor "DEL", prod id 40985
[   182.622] (II) NOUVEAU(0): Using hsync ranges from config file
[   182.622] (II) NOUVEAU(0): Using vrefresh ranges from config file
[   182.622] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   182.622] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[   182.623] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  5534.354] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[  5534.354]
Backtrace:
[  5534.408] 0: /usr/bin/Xorg (xorg_backtrace+0x2f) [0x45e84f]
[  5534.408] 1: /usr/bin/Xorg (mieqEnqueue+0x1e9) [0x458dc9]
[  5534.408] 2: /usr/bin/Xorg (xf86PostMotionEventM+0xa3) [0x47e763]
[  5534.409] 3: /usr/bin/Xorg (xf86PostMotionEventP+0x52) [0x47e882]
[  5534.409] 4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f1f682d3000+0x4b1b) [0x7f1f682d7b1b]
[  5534.409] 5: /usr/bin/Xorg (0x400000+0x6c148) [0x46c148]
[  5534.409] 6: /usr/bin/Xorg (0x400000+0x11a130) [0x51a130]
[  5534.409] 7: /lib64/libpthread.so.0 (0x358f600000+0xeef0) [0x358f60eef0]
[  5534.409] 8: /lib64/libc.so.6 (ioctl+0x7) [0x358f2d8af7]
[  5534.409] 9: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x359f203358]
[  5534.409] 10: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x359f20547b]
[  5534.409] 11: /usr/lib64/libdrm_nouveau.so.1 (0x7f1f6baae000+0x2ed7) [0x7f1f6bab0ed7]
[  5534.409] 12: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f1f6bab14f9]
[  5534.409] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f1f6bcb3000+0x5dde) [0x7f1f6bcb8dde]
[  5534.409] 14: /usr/lib64/xorg/modules/libexa.so (0x7f1f6b065000+0x616e) [0x7f1f6b06b16e]
[  5534.409] 15: /usr/lib64/xorg/modules/libexa.so (0x7f1f6b065000+0x887b) [0x7f1f6b06d87b]
[  5534.409] 16: /usr/lib64/xorg/modules/libexa.so (0x7f1f6b065000+0xf6c2) [0x7f1f6b0746c2]
[  5534.409] 17: /usr/lib64/xorg/modules/libexa.so (0x7f1f6b065000+0x102bd) [0x7f1f6b0752bd]
[  5534.409] 18: /usr/bin/Xorg (0x400000+0xd9d2d) [0x4d9d2d]
[  5534.409] 19: /usr/lib64/xorg/modules/libexa.so (0x7f1f6b065000+0x111cb) [0x7f1f6b0761cb]
[  5534.409] 20: /usr/bin/Xorg (0x400000+0xd4ebb) [0x4d4ebb]
[  5534.409] 21: /usr/bin/Xorg (0x400000+0x2edb1) [0x42edb1]
[  5534.409] 22: /usr/bin/Xorg (0x400000+0x22e1a) [0x422e1a]
[  5534.409] 23: /lib64/libc.so.6 (__libc_start_main+0xed) [0x358f22139d]
[  5534.409] 24: /usr/bin/Xorg (0x400000+0x23101) [0x423101]
Comment 6 Ben Skeggs 2011-10-03 18:20:00 EDT
Is there any messages from nouveau *before* the ttm_validate failures?  Those failures indicate the GPU has stalled, hopefully there's some indication as to why before that.
Comment 7 Michael Belanger 2011-10-03 18:32:53 EDT
@Ben: Below are the previous 15 minutes or so of log entries to messages.   

From Messages:
Oct  3 13:57:59 hector dbus-daemon: [system] Successfully activated service 'netvaeactivated.Fprint'
Oct  3 13:58:06 hector kernel: [  178.086046] fuse init (API version 7.16)
.rt  3 13:58:06 hector gnome-session[1437]: WARNING: Could not parse desktop file /home/mrb/.config/autostart/xfconf-migration-4.6.desktop: Key file does not have key 'Name'
Oct  3 13:58:06 hector gnome-session[1437]: WARNING: could not read /home/mrb/.config/autostart/xfconf-migration-4.6.desktop
Oct  3 13:58:06 hector gnome-session[1437]: WARNING: Could not parse desktop file /home/mrb/.config/autostart/xfce4-settings-helper-autostart.desktop: Key file does not have key 'Name'
Oct  3 13:58:06 hector gnome-session[1437]: WARNING: could not read /home/mrb/.config/autostart/xfce4-settings-helper-autostart.desktop
Oct  3 13:58:06 hector gnome-session[1437]: WARNING: Could not parse desktop file /home/mrb/.config/autostart/padevchooser.desktop: No such file or directory
Oct  3 13:58:06 hector gnome-session[1437]: WARNING: could not read /home/mrb/.config/autostart/padevchooser.desktop
Oct  3 19:58:07 hector rtkit-daemon[1288]: Successfully made thread 1599 of process 1599 (/usr/bin/pulseaudio) owned by '508' high priority at nice level -11.
Oct  3 13:58:07 hector pulseaudio[1599]: pid.c: Stale PID file, overwriting.
Oct  3 19:58:07 hector rtkit-daemon[1288]: Successfully made thread 1604 of process 1599 (/usr/bin/pulseaudio) owned by '508' RT at priority 5.
Oct  3 19:58:07 hector rtkit-daemon[1288]: Successfully made thread 1605 of process 1599 (/usr/bin/pulseaudio) owned by '508' RT at priority 5.
Oct  3 13:58:09 hector dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Oct  3 13:58:09 hector dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Oct  3 14:04:19 hector pulseaudio[1599]: ratelimit.c: 23 events suppressed
Oct  3 14:09:16 hector pulseaudio[1599]: ratelimit.c: 110 events suppressed
Oct  3 14:10:48 hector ntpd[764]: 0.0.0.0 c612 02 freq_set kernel -14.581 PPM
Oct  3 14:10:48 hector ntpd[764]: 0.0.0.0 c615 05 clock_sync
Oct  3 14:12:38 hector pulseaudio[1599]: ratelimit.c: 21 events suppressed
Oct  3 14:13:43 hector pulseaudio[1599]: ratelimit.c: 456 events suppressed
Oct  3 14:16:42 hector kernel: [ 1294.095480] [drm] nouveau 0000:07:00.0: fail ttm_validate
Oct  3 14:16:42 hector kernel: [ 1294.095487] [drm] nouveau 0000:07:00.0: validaa

te vram_list
Oct  3 14:16:42 hector kernel: [ 1294.095507] [drm] nouveau 0000:07:00.0: validate: -12
Comment 8 Chad Feller 2011-10-03 19:03:05 EDT
And there were no ttm_validate failurs errors on mine...
Comment 9 Chad Feller 2011-10-05 17:06:22 EDT
Created attachment 526574 [details]
dmesg (5 Oct 2011)
Comment 10 Chad Feller 2011-10-05 17:07:10 EDT
Created attachment 526575 [details]
Xorg.0.log (5 Oct 2011)
Comment 11 Chad Feller 2011-10-05 17:09:36 EDT
Happened again (3rd time now).

Attached the logs (as I should have done the first time), Xorg.0.log (comment #10) and dmesg (comment #9).  

A few notes:

I saw the ttm_validate failures _yesterday_.  

Yesterday, the rate at which my text was showing up on the screen started to slow way down, at which point I typed dmesg and saw the ttm_validate failures, but my workstation didn't lock yesterday.  It recovered and everything went back to normal.

Today, my workstation slowed way down and spit out this:

[420215.011820] [drm] nouveau 0000:07:00.0: fail pre-validate sync
[420215.011833] [drm] nouveau 0000:07:00.0: validate vram_list
[420215.011910] [drm] nouveau 0000:07:00.0: validate: -16

after locking up.
Comment 12 Chad Feller 2011-10-05 20:12:42 EDT
Created attachment 526594 [details]
dmesg (5 Oct 2011) #2
Comment 13 Chad Feller 2011-10-05 20:13:15 EDT
Created attachment 526596 [details]
Xorg.0.log (5 Oct 2011) #2
Comment 14 Chad Feller 2011-10-05 20:15:41 EDT
Just happened again.  Uploaded dmesg (comment #12) and Xorg.0.log (comment #13).

dmesg has the same errors as above, another backtrace in Xorg.0.log
Comment 15 Matěj Cepl 2011-10-12 21:04:31 EDT
Backtrace:
[  9085.520] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x45e84f]
[  9085.520] 1: /usr/bin/X (mieqEnqueue+0x1e9) [0x458dc9]
[  9085.520] 2: /usr/bin/X (xf86PostMotionEventM+0xa3) [0x47e763]
[  9085.520] 3: /usr/bin/X (xf86PostMotionEventP+0x52) [0x47e882]
[  9085.521] 4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f082f63f000+0x4b1b) [0x7f082f643b1b]
[  9085.521] 5: /usr/bin/X (0x400000+0x6c148) [0x46c148]
[  9085.521] 6: /usr/bin/X (0x400000+0x11a130) [0x51a130]
[  9085.521] 7: /lib64/libpthread.so.0 (0x395b400000+0xeef0) [0x395b40eef0]
[  9085.521] 8: /lib64/libc.so.6 (ioctl+0x7) [0x395acd8af7]
[  9085.521] 9: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x396d803358]
[  9085.521] 10: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x396d80547b]
[  9085.521] 11: /usr/lib64/libdrm_nouveau.so.1 (0x7f083323a000+0x2ed7) [0x7f083323ced7]
[  9085.521] 12: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f083323d4f9]
[  9085.521] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f083345e000+0x6ddb) [0x7f0833464ddb]
[  9085.521] 14: /usr/lib64/xorg/modules/libexa.so (0x7f08327f1000+0xbf60) [0x7f08327fcf60]
[  9085.521] 15: /usr/bin/X (0x400000+0x1565b5) [0x5565b5]
[  9085.522] 16: /usr/bin/X (0x400000+0xa4555) [0x4a4555]
[  9085.522] 17: /usr/lib64/xorg/modules/libexa.so (exaGetPixmapFirstPixel+0x78) [0x7f0832805418]
[  9085.522] 18: /usr/lib64/xorg/modules/libexa.so (0x7f08327f1000+0x105fc) [0x7f08328015fc]
[  9085.522] 19: /usr/bin/X (0x400000+0xd9d2d) [0x4d9d2d]
[  9085.522] 20: /usr/bin/X (0x400000+0xd47d5) [0x4d47d5]
[  9085.522] 21: /usr/bin/X (0x400000+0x2edb1) [0x42edb1]
[  9085.522] 22: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[  9085.522] 23: /lib64/libc.so.6 (__libc_start_main+0xed) [0x395ac2139d]
[  9085.522] 24: /usr/bin/X (0x400000+0x23101) [0x423101]
Comment 16 Matěj Cepl 2011-10-12 21:06:21 EDT
I would need exact output of the command

rpm -q xorg-x11-server-Xorg xorg-x11-drv-nouveau libdrm xorg-x11-drv-evdev

for further analysis of the backtrace, please.

Thank you
Comment 17 Chad Feller 2011-10-12 21:29:44 EDT
$ rpm -q xorg-x11-server-Xorg xorg-x11-drv-nouveau libdrm xorg-x11-drv-evdev
xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64
xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
libdrm-2.4.26-1.fc15.x86_64
xorg-x11-drv-evdev-2.6.0-4.fc15.x86_64
Comment 18 Chad Feller 2011-10-27 18:16:15 EDT
Wanted to add a few notes to this:

I disabled "desktop effects" in KDE after the last lockup, and the problem has not happened since.

Although desktop effects were enabled, each time the lockup occurred, I wasn't doing anything fancy, but in fact just typing text.  Three of the lockups I was filling in a form box in Firefox, once typing into pidgin.


Not sure if this is related: on my home workstation w/:

01:00.0 VGA compatible controller: nVidia Corporation G96 [GeForce 9500 GT] (rev a1)

I was also running desktop effects.  Didn't see any lockups there, but noticed that dmesg was littered with numerous lines like this:

[356514.599405] [drm] nouveau 0000:01:00.0: multiple instances of buffer 127 on validation list
[356514.599427] [drm] nouveau 0000:01:00.0: validate_init
[356514.599429] [drm] nouveau 0000:01:00.0: validate: -22

I turned off desktop effects and the problem went away.  Not sure if that is related here or not.
Comment 19 Andrew Travneff 2011-12-31 04:31:09 EST
Created attachment 550112 [details]
/var/log/messages

I have this too. Looks like random freezes, not very often. Usually it is possible (and needed) to reboot using sysrq keys.

Fedora 16 x64, kernel 3.1.6-1.fc16.x86_64.

Other components:

$ rpm -q xorg-x11-server-Xorg xorg-x11-drv-nouveau libdrm xorg-x11-drv-evdev
xorg-x11-server-Xorg-1.11.3-1.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64
libdrm-2.4.27-2.fc16.x86_64
libdrm-2.4.27-2.fc16.i686
xorg-x11-drv-evdev-2.6.99-3.20110601giteaf202531.fc16.x86_64

VGA:
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV43 [GeForce 6600] [10de:0141] (rev a2)

Attached are dmesg output, /var/log/messages and xorg log.
drm.debug = 0x04, xorg logverbose = 7.
xorg.conf is absent, however some keyboard and mouse configuration files are present.

I'll try to reproduce this with debug kernel.
Comment 20 Andrew Travneff 2011-12-31 04:31:56 EST
Created attachment 550113 [details]
dmesg output
Comment 21 Andrew Travneff 2011-12-31 04:32:23 EST
Created attachment 550114 [details]
xorg log
Comment 22 Noel Duffy 2012-02-17 22:09:45 EST
Created attachment 564024 [details]
Xorg.0.log from nouveau crash

I am having this same issue on my Asus laptop. This is my Xorg.0.log from one such crash.
Comment 23 Jaroslav Franek 2012-03-01 15:30:16 EST
Having the same issue in F16 and probably in F17, but F15 works fine.

F16 experience (pretty bad):
can install in graphic mode (anaconda), used network install to pull newest version, but then after reboot firstboot froze after few seconds, so I can only use runlevel 3.

F17 experience (even worse):
cannot even install in graphic mode (anaconda).
used F17-Alpha network install DVD


Seems to me that initial versions of the software used for F16 installation media were OK, but then, an issue was introduced that made it to installation of F17, and updates of F16.

F16 data mined from the system:

kernel-3.2.6-3.fc16.x86_64
xorg-x11-server-1.11.4-1.fc16.x86_64

Backtrace:
[   587.118] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x462e0f]
[   587.118] 1: /usr/bin/X (mieqEnqueue+0x17d) [0x55785d]
[   587.118] 2: /usr/bin/X (0x400000+0x46df3) [0x446df3]
[   587.118] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fef3e122000+0x54f9) [0x7fef3e1274f9]
[   587.118] 4: /usr/bin/X (0x400000+0x7f338) [0x47f338]
[   587.118] 5: /usr/bin/X (0x400000+0xa4bbb) [0x4a4bbb]
[   587.118] 6: /lib64/libpthread.so.0 (0x3398200000+0xf500) [0x339820f500]
[   587.118] 7: /lib64/libc.so.6 (ioctl+0x7) [0x3397ae8217]
[   587.118] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x33ade03488]
[   587.118] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x33ade055ab]
[   587.118] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7fef41c1e000+0x2f37) [0x7fef41c20f37]
[   587.118] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7fef41c21559]
[   587.118] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7fef41e24000+0x2c23e) [0x7fef41e5023e]
[   587.118] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7fef41e24000+0x5fa2) [0x7fef41e29fa2]
[   587.118] 14: /usr/lib64/xorg/modules/libexa.so (0x7fef411d2000+0x86c4) [0x7fef411da6c4]
[   587.118] 15: /usr/bin/X (0x400000+0x10aa49) [0x50aa49]
[   587.118] 16: /usr/bin/X (0x400000+0x3072d) [0x43072d]
[   587.118] 17: /usr/bin/X (0x400000+0x33b01) [0x433b01]
[   587.118] 18: /usr/bin/X (0x400000+0x22e15) [0x422e15]
[   587.118] 19: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3397a2169d]
[   587.118] 20: /usr/bin/X (0x400000+0x23101) [0x423101]
Comment 24 Jaroslav Franek 2012-03-01 15:33:26 EST
Created attachment 566940 [details]
X server log
Comment 25 Jaroslav Franek 2012-03-01 15:41:01 EST
Created attachment 566942 [details]
/var/log/messages
Comment 26 Fedora End Of Life 2012-08-07 11:38:10 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Andrew Travneff 2012-08-07 13:12:59 EDT
I've played with KDE visual effects settings and this issue is absent for a couple of months. However it might be unrelated.

Note You need to log in before you can comment on or make changes to this bug.